Fetch movie changes
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/changes' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"items": [
{
"action": "added",
"id": "675a8ccaa7abcc38d13834a7",
"iso_3166_1": "FR",
"iso_639_1": "fr",
"time": "2024-12-12 07:12:10 UTC",
"value": {
"id": "675a8ccaa7abcc38d13834a6",
"key": "KdXDfD_vUW0",
"name": "GLADIATOR II 67% Bande Annonce VF HD 2024",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
}
],
"key": "videos"
}
]
}Movies
Fetch movie changes
This endpoint allows you to get the recent changes for a movie.
GET
/
movie
/
{movie_id}
/
changes
Fetch movie changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Example:
"date"
Example:
"int32"
Example:
"date"
Response
200 - application/json
Fetch movie changes
Show child attributes
Show child attributes
Example:
[
{
"items": [
{
"action": "added",
"id": "675a8ccaa7abcc38d13834a7",
"iso_3166_1": "FR",
"iso_639_1": "fr",
"time": "2024-12-12 07:12:10 UTC",
"value": {
"id": "675a8ccaa7abcc38d13834a6",
"key": "KdXDfD_vUW0",
"name": "GLADIATOR II 67% Bande Annonce VF HD 2024",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
}
],
"key": "videos"
}
]
⌘I